import "./tasks/BQSR.wdl" as Sentieon_BQSR

workflow {{ project_name }} {
	File? deduped_bam
    File? deduped_bam_bai
    String sample_id
	String Seq_platform
	#reference fasta
	String ref_fasta
	File ref_fasta_dir
	File annot_gff
    File dbsnp_dir
    File dbmills_dir
    String dbsnp
    String db_mills
	File germline_resource
	File germline_resource_tbi

	#docker
    String docker_fastp
	String docker_sentieon
	String SENTIEON_LICENSE
	String docker_qualimap
	String docker_manta
	String docker_strelka

	#config
    String cluster_config
    String disk_size
	Boolean? fastqc
	Boolean bamqc
		


		call Sentieon_BQSR.Sentieon_BQSR as Sentieon_BQSR_normal{
			input:
				ref_dir=ref_fasta_dir,
				dbsnp_dir=dbsnp_dir,
				dbmills_dir = dbmills_dir,
				sample_id=sample_id+'_N',
				ref_fasta=ref_fasta,
				dbsnp=dbsnp,
				db_mills=db_mills,
				deduped_bam=deduped_bam,
				deduped_bam_index=deduped_bam_bai,
				docker=docker_sentieon,
				cluster_config=cluster_config,
				disk_size=disk_size,
				SENTIEON_LICENSE=SENTIEON_LICENSE
		}



}